Control Plane APIApplications
GET
/v1/applications/{id}

Retrieve details for a specific application.

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/applications/string"
{  "application": {    "activeIncidents": [      {        "id": "string",        "impactedApplications": [          {            "applicationId": "string",            "applicationName": "string",            "capabilities": [              {                "id": "string",                "name": "string"              }            ]          }        ],        "resolvedAt": "2019-08-24T14:15:22Z",        "startedAt": "2019-08-24T14:15:22Z",        "state": "RUNTIME_STATE_UNSPECIFIED",        "status": "INCIDENT_STATUS_UNSPECIFIED",        "title": "string"      }    ],    "application": {      "applicationCapabilities": [        {          "archivedAt": "2019-08-24T14:15:22Z",          "createdAt": "2019-08-24T14:15:22Z",          "id": "string",          "name": "string",          "updatedAt": "2019-08-24T14:15:22Z"        }      ],      "archived": true,      "archivedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "name": "string",      "nonProductionRuntimeKey": "string",      "productionRuntimeKey": "string",      "updatedAt": "2019-08-24T14:15:22Z"    },    "currentState": "RUNTIME_STATE_UNSPECIFIED",    "simulation": {      "capabilityIds": [        "string"      ],      "customerMessage": "string",      "state": "RUNTIME_STATE_UNSPECIFIED",      "updatedAt": "2019-08-24T14:15:22Z"    }  }}